Subject: Re: [PATCH] tcp: don't require root to read tcp_metrics

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 30 Jul 2014 21:38:26 +0400

Hello.

On 07/30/2014 09:13 PM, Debabrata Banerjee wrote:

> commit d23ff701643a4a725e2c7a8ba2d567d39daa29ea introduced netlink support for

    Please also specify that commit's summary line in parens.

> the new tcp_metrics, however it restricted getting of tcp_metrics to root user
> only. This is a change from how these values could have been fetched when in
> the old route cache. Unless there's a legitimate reason to restrict the reading
> of these values it would be better if normal users could fetch them.

> Cc: Julian Anastasov <[email-masked]>
> Cc: [email-masked]

    You need to sign off on the patch, else it couldn't be applied.

WBR, Sergei